diff --git a/src/libFLAC/cpu.c b/src/libFLAC/cpu.c
index 3ecafbb..07a331e 100644
--- a/src/libFLAC/cpu.c
+++ b/src/libFLAC/cpu.c
@@ -65,12 +65,6 @@
 #  include <cpuid.h> /* for __get_cpuid() and __get_cpuid_max() */
 #endif
 
-#if defined(__ANDROID__) || defined(ANDROID)
-#define OS_IS_ANDROID 1
-#else
-#define OS_IS_ANDROID 0
-#endif
-
 #ifdef DEBUG
 #define DEBUG_ON 1
 #else
@@ -181,12 +175,6 @@ ia32_cpu_info (FLAC__CPUInfo *info)
 	FLAC__bool ia32_osxsave = false;
 	FLAC__uint32 flags_eax, flags_ebx, flags_ecx, flags_edx;
 
-	if (OS_IS_ANDROID) {
-		/* no need to check OS SSE support */
-		info->use_asm = true;
-		return;
-	}
-
 #if !defined FLAC__NO_ASM && (defined FLAC__HAS_NASM || FLAC__HAS_X86INTRIN)
 	info->use_asm = true; /* we assume a minimum of 80386 with FLAC__CPU_IA32 */
 #if !FLAC__HAS_X86INTRIN
@@ -264,6 +252,8 @@ ia32_cpu_info (FLAC__CPUInfo *info)
 				info->ia32.sse = true;
 			}
 		}
+#elif defined(__ANDROID__) || defined(ANDROID)
+		/* no need to check OS SSE support */
 #elif defined(__linux__) && !FLAC__SSE_OS
 		int sse = 0;
 		struct sigaction sigill_save;
@@ -374,12 +364,6 @@ x86_64_cpu_info (FLAC__CPUInfo *info)
 	FLAC__bool x86_osxsave = false;
 	FLAC__uint32 flags_eax, flags_ebx, flags_ecx, flags_edx;
 
-	if (OS_IS_ANDROID) {
-		/* no need to check OS SSE support */
-		info->use_asm = true;
-		return;
-	}
-
 #if !defined FLAC__NO_ASM && FLAC__HAS_X86INTRIN
 	info->use_asm = true;
 
